The APM 10.7 installer is not offereing the upgrade option when an existing install location is selected

Document ID : KB000107078
Last Modified Date : 19/07/2018
Show Technical Document Details
Question:
According to EM upgrade instructions that I found here: https://docops.ca.com/ca-apm/10-3/en/upgrade-apm/upgrade-the-enterprise-manager , installer should let me choose upgrade option when existing EM_HOME was specified at “Choose Install Settings” level, but I don’t see this option. Part of upgrade instruction: „When the installer prompts for an install directory, specify the directory of the Enterprise Manager to upgrade. When you specify a directory containing an existing instance of Introscope, the installer offers to upgrade it: Select Upgrade existing installation and click Next.” But I see only warning

The specified folder /opt/caapm/em-mom/10.3.0.19 is not recommended. It
already contains an Introscope and/or Database install. If you choose to
install to this folder, a fresh install will be performed. Any pre-existing
files and settings in the folder will be overwritten.

->1- Choose Another Folder
2- Use This Folde
r
Environment:
APM 10.3 linux
Answer:
The installer validate the existing location by check the following items:

Is the key file present for upgrade? For EM that is <em_home>/product/enterprisemanager/.eclipseproduct
Presence of <em_home>/config directory and presence of IntroscopeEnterpriseManager.properties in that config directory
Presence of <em_home>/UninstallerData/base/installvariables.properties file

If the above all appear to be valid then you should run the installer with DEBUG enabled by setting the environment variable LAX_DEBUG=true prior to running the installer then review the install log. If you still need assistance then raise a case with support.